com.gen2wave.rp1600.sdk.finger

## Class FINGERPRTCtrl

- java.lang.Object
- - com.gen2wave.rp1600.sdk.finger.FINGERPRTCtrl

-     public class FINGERPRTCtrl
      extends java.lang.Object

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `class` | `FINGERPRTCtrl.ImputAsyncTask`
    `class` | `FINGERPRTCtrl.SearchAsyncTask`
    `class` | `FINGERPRTCtrl.UpAsyncTask`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `FINGERPRTCtrl(Context context)`
    `FINGERPRTCtrl(Context context, ImageView imageview)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static int` | `Byte_To_UInt(byte _b)`
    `void` | `FPClear()` Finger Printer Data clear
    `void` | `FPClose()` Finger Printer Device Disconnect
    `void` | `FPDownRawData(int nid)` Finger Data Raw Data Export
    `void` | `FPEnroll()` Finger Data Enroll
    `void` | `FPImage()` Finger Printer Get Image
    `void` | `FPInit()` Finger Printer Device Initialize
    `int` | `FPOpen()` Finger Printer Device Connect
    `void` | `FPSearch()` Finger Printer Data search
    `void` | `FPStop()` Finger Data Communication stop
    `void` | `FPUploadRawData(int nid)` Finger Data Raw Data Import

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### FINGERPRTCtrl

          public FINGERPRTCtrl(Context context,
                               ImageView imageview)

      Parameters:
        `context:` - Context
        `imageview:` - Imageview

    - #### FINGERPRTCtrl

          public FINGERPRTCtrl(Context context)

  - ### Method Detail

    - #### FPInit

          public void FPInit()

      Finger Printer Device Initialize

    - #### FPOpen

          public int FPOpen()

      Finger Printer Device Connect

    - #### FPClose

          public void FPClose()

      Finger Printer Device Disconnect

    - #### FPSearch

          public void FPSearch()

      Finger Printer Data search

    - #### FPClear

          public void FPClear()

      Finger Printer Data clear

    - #### FPImage

          public void FPImage()

      Finger Printer Get Image

    - #### FPEnroll

          public void FPEnroll()

      Finger Data Enroll

    - #### FPStop

          public void FPStop()

      Finger Data Communication stop

    - #### FPDownRawData

          public void FPDownRawData(int nid)

      Finger Data Raw Data Export
      Parameters:
        `nid:` - Finger Data index

    - #### FPUploadRawData

          public void FPUploadRawData(int nid)

      Finger Data Raw Data Import
      Parameters:
        `nid:` - Finger Data index

    - #### Byte_To_UInt

          public static int Byte_To_UInt(byte _b)